plugins {
    id("org.gradle.kotlin.kotlin-dsl") version "4.3.0"
    id 'java-gradle-plugin'
    id 'groovy'
}

repositories {
    mavenCentral()
    google()
}

dependencies {
    implementation(gradleApi())
    implementation(localGroovy())
    implementation 'commons-io:commons-io:2.13.0'
    //noinspection GradleDependency
    implementation 'com.android.tools.build:gradle:8.6.1'
}

gradlePlugin {
    plugins {
        greeting {
            id = 'com.wenext.plugin'
            implementationClass = 'com.wenext.plugin.WeNextPlugin'
        }
    }
}